package src.fr.api;
import java.util.Set;
import java.util.Optional;

public interface Configuration {
    boolean isValid();
    boolean isComplete();
    public Set<Part> getSelectedParts(); 
    public Optional<Part> getSelectionForCategory(Category category); 
    void selectPart(PartType chosenPart);
    void unselectPartType(Category categoryToClear);
    void clear();
}